/*
------------------------------Copyright----------------------------
 SuperMap iDesktop 8C sample code
 Copyright: SuperMap Software Co., Ltd.
------------------------------------------------------------------

-----------------SuperMap iDesktop 8C Sample Description---------------

1. Introduction: How to draw map objects.
2. Scene: Customize arrows. Draw a arrow according to the start position, end position and arrow width.
3. Data: No
4. Key files, types and members:
    Plugin.config   Configuration file
    GeometryDrawing Type
    IFormMap.GeometryDrawingManager Property
    ICtrlAction.Enable Method
    Other component interfaces

5. Steps:
   (1) New a region dataset and add it to the map;
   (2) Set region layer editable;
   (3) Click Draw on Ribbon;
   (4) Use mouse to draw on the map.
 ----------------------------------------------------------------------------
*/

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using SuperMap.Desktop;

namespace SuperMap.Desktop.Samples
{
    public class DesktopPlugin : Plugin
    {
        public DesktopPlugin(PluginInfo pluginInfo)
            : base(pluginInfo)
        {

        }

        public override Boolean Initialize()
        {
            return true;
        }

        public override Boolean ExitInstance()
        {
            return true;
        }
    }
}
